# Class AbstractAccessLogValve.ByteSentElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.ByteSentElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.ByteSentElement extends Object implements AbstractAccessLogValve.AccessLogElement
write bytes sent, excluding HTTP headers - %b, %B

Author:
  Craig R. McClanahan, Jason Brittain, Remy Maucherat, Takayuki Kaneko, Peter Rossbach

## Constructor Summary

Constructors
Constructor
Description
`ByteSentElement(boolean conversion)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteSentElement

public ByteSentElement(boolean conversion)

Parameters:
  `conversion` - `true` to write '-' instead of 0 - %b.

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`